MongoLog::setLevel
MongoPool
MongoLog
PHP Manual

# MongoLog::setModule

Sets driver functionality to log

### Description

public static void MongoLog::setModule ( int `$module` )

This function can be used to set which parts of the driver's functionality should be logged. Use the constants described in the MongoLog section with bitwise operators to specify modules.

`<?php
// first, turning up the logging level
MongoLog::setLevel(MongoLog::ALL);
// log replica set activity
MongoLog::setModule(MongoLog::RS);
// log replica sets and connection pooling
MongoLog::setModule(MongoLog::RS|MongoLog::ALL);
// log everything except IO activity
MongoLog::setModule(MongoLog::ALL & (~MongoLog::IO));
?>`

Note that you must also call MongoLog::setLevel to turn on logging.

### Parameters

`module`

  The module(s) you would like to log.